> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Event Logs Clients View



## OpenAPI

````yaml /api-reference/services_documented/ddos_protection_api.yaml get /security/notifier/v1/event_logs
openapi: 3.1.0
info:
  title: Gcore OpenAPI – DDoS Protection API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-07T20:33:46.548242+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Event Logs
    x-displayName: Event Logs
  - name: BGP announces
    x-displayName: BGP announces
  - name: Protected Networks
    x-displayName: Protected Networks
  - name: Protection Profiles
    x-displayName: Protection Profiles
  - name: Protection Templates
    x-displayName: Protection Templates
  - name: Security Templates
    x-displayName: Security Templates
  - name: Profiles
    x-displayName: Profiles
paths:
  /security/notifier/v1/event_logs:
    get:
      tags:
        - Event Logs
      summary: Event Logs Clients View
      operationId: event_logs_clients_view_api_v1_event_logs_get
      parameters:
        - name: date_from
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: string
            default: '2024-01-23'
            title: Date From
        - name: date_to
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: string
            default: '2025-01-23'
            title: Date To
        - name: alert_type
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/AlertType'
              - type: 'null'
            title: Alert Type
        - name: targeted_ip_addresses
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Targeted Ip Addresses
        - name: ordering
          in: query
          required: false
          schema:
            enum:
              - attack_start_time
              - '-attack_start_time'
              - attack_power_bps
              - '-attack_power_bps'
              - attack_power_pps
              - '-attack_power_pps'
              - number_of_ip_involved_in_attack
              - '-number_of_ip_involved_in_attack'
              - alert_type
              - '-alert_type'
            type: string
            default: attack_start_time
            title: Ordering
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 500
            minimum: 1
            default: 10
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/LimitOffsetPage_TypeVar_Customized_EventLogClientsOutSchema_
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            page = client.security.events.list()
            page = page.results[0]
            print(page.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/option\"\n\t\"github.com/G-Core/gcore-go/security\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.Security.Events.List(context.TODO(), security.EventListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
components:
  schemas:
    AlertType:
      type: string
      enum:
        - ddos_alert
        - rtbh_alert
      title: AlertType
    LimitOffsetPage_TypeVar_Customized_EventLogClientsOutSchema_:
      properties:
        results:
          items:
            $ref: '#/components/schemas/EventLogClientsOutSchema'
          type: array
          title: Results
        count:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Count
        limit:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
          title: Limit
        offset:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Offset
      type: object
      required:
        - results
        - count
        - limit
        - offset
      title: LimitOffsetPage[TypeVar]Customized[EventLogClientsOutSchema]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/security_iaas_ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EventLogClientsOutSchema:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        alert_type:
          anyOf:
            - $ref: '#/components/schemas/AlertType'
            - type: 'null'
        client_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Client Id
        notification_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Notification Type
        attack_start_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Attack Start Time
        attack_power_bps:
          anyOf:
            - type: number
            - type: 'null'
          title: Attack Power Bps
        attack_power_pps:
          anyOf:
            - type: number
            - type: 'null'
          title: Attack Power Pps
        number_of_ip_involved_in_attack:
          anyOf:
            - type: integer
            - type: 'null'
          title: Number Of Ip Involved In Attack
        targeted_ip_addresses:
          anyOf:
            - type: string
            - type: 'null'
          title: Targeted Ip Addresses
      type: object
      required:
        - id
      title: EventLogClientsOutSchema
    security_iaas_ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````